SignSecure Sign PadSignSecure Sign Pad
Bulk jobs

Get bulk job progress and rows

GET
/bulk-jobs/{jobId}

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

jobId*string

The asynchronous bulk send job ID

Response Body

application/json

application/json

curl -X GET "https://api.signpad.signsecure.in/api/v1/bulk-jobs/string"
{
  "id": "string",
  "organizationId": "string",
  "workflowDefinitionId": "string",
  "workflowVersionId": "string",
  "createdById": "string",
  "idempotencyKey": "string",
  "status": "validating",
  "totalRows": 0,
  "processedRows": 0,
  "succeededRows": 0,
  "failedRows": 0,
  "estimatedCredits": 0,
  "startedAt": "2019-08-24T14:15:22Z",
  "completedAt": "2019-08-24T14:15:22Z",
  "cancelledAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "rows": [
    {
      "id": "string",
      "jobId": "string",
      "rowNumber": 0,
      "status": "pending",
      "input": {
        "rowNumber": 1,
        "title": "string",
        "recipients": [
          {
            "participantKey": "string",
            "name": "string",
            "email": "user@example.com",
            "phone": "string"
          }
        ],
        "prefillValues": [
          {
            "fieldId": "string",
            "fieldKey": "string",
            "value": "string"
          }
        ]
      },
      "envelopeId": "string",
      "errorCode": "string",
      "errorMessage": "string",
      "attempts": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}